Skip to content

Search these docs, or ask Revo a question — answers link the pages they came from.

Creates a new device pool.


POST
/api/v1/{tenantId}/system/device-pools

Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.

tenantId
required
string
object
name
string
nullable
description
string
nullable
locations
Array<object>
nullable
object
name
string
nullable
locationId
string
nullable

OK

object
id
string
nullable
name
string
nullable
description
string
nullable
locations
Array<object>
nullable
object
name
string
nullable
locationId
string
nullable

Bad Request

object
message
string
nullable
code
string
nullable

Too Many Requests

object
message
string
nullable
code
string
nullable

Service Unavailable

object
message
string
nullable
code
string
nullable

Gateway Timeout

object
message
string
nullable
code
string
nullable